## org.eclipse.datatools.modelbase.sql.tables.impl
Class ColumnImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.schema.impl.TypedElementImpl
                  org.eclipse.datatools.modelbase.sql.tables.impl.ColumnImpl

All Implemented Interfaces:
  Column, SQLObject, TypedElement

public class ColumnImpl
extends TypedElementImpl
implements Column

An implementation of the model object 'Column'.

The following features are implemented:

- `Table`
- `Identity Specifier`
- `Generate Expression`
- `Implementation Dependent`
- `Nullable`
- `Default Value`
- `Scope Check`
- `Scope Checked`

See Also:
  Serialized Form

Method Summary
`NotificationChain` `basicSetGenerateExpression(ValueExpression newGenerateExpression, NotificationChain msgs)`
`NotificationChain` `basicSetIdentitySpecifier(IdentitySpecifier newIdentitySpecifier, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainer(NotificationChain msgs)`
`java.lang.Object` `eGet(EStructuralFeature eFeature, boolean resolve)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`boolean` `eIsSet(EStructuralFeature eFeature)`
`void` `eSet(EStructuralFeature eFeature, java.lang.Object newValue)`
`void` `eUnset(EStructuralFeature eFeature)`
`java.lang.String` `getDefaultValue()`
`ValueExpression` `getGenerateExpression()`
`IdentitySpecifier` `getIdentitySpecifier()`
`ReferentialActionType` `getScopeCheck()`
`Table` `getTable()`
`boolean` `isImplementationDependent()`
`boolean` `isNullable()`
`boolean` `isPartOfForeignKey()`
`boolean` `isPartOfPrimaryKey()`
`boolean` `isPartOfUniqueConstraint()`
`boolean` `isScopeChecked()`
`void` `setDefaultValue(java.lang.String newDefaultValue)`
`void` `setGenerateExpression(ValueExpression newGenerateExpression)`
`void` `setIdentitySpecifier(IdentitySpecifier newIdentitySpecifier)`
`void` `setImplementationDependent(boolean newImplementationDependent)`
`void` `setNullable(boolean newNullable)`
`void` `setScopeCheck(ReferentialActionType newScopeCheck)`
`void` `setScopeChecked(boolean newScopeChecked)`
`void` `setTable(Table newTable)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.TypedElementImpl
`basicGetReferencedType, basicSetContainedType, getContainedType, getDataType, getReferencedType, setContainedType, setDataType, setReferencedType`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.TypedElement
`getContainedType, getDataType, getReferencedType, setContainedType, setDataType, setReferencedType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getTable

    public Table getTable()

  Specified by:
    `getTable` in interface `Column`
  Returns:
    the value of the 'Table' container reference.
  See Also:
    `Column.setTable(Table)`, `SQLTablesPackage.getColumn_Table()`, `Table.getColumns()`

### setTable

    public void setTable(Table newTable)

  Specified by:
    `setTable` in interface `Column`
  Parameters:
    `newTable` - the new value of the 'Table' container reference.
  See Also:
    `Column.getTable()`

### getIdentitySpecifier

    public IdentitySpecifier getIdentitySpecifier()

  Specified by:
    `getIdentitySpecifier` in interface `Column`
  Returns:
    the value of the 'Identity Specifier' containment reference.
  See Also:
    `Column.setIdentitySpecifier(IdentitySpecifier)`, `SQLTablesPackage.getColumn_IdentitySpecifier()`

### basicSetIdentitySpecifier

    public NotificationChain basicSetIdentitySpecifier(IdentitySpecifier newIdentitySpecifier,
                                                       NotificationChain msgs)

### setIdentitySpecifier

    public void setIdentitySpecifier(IdentitySpecifier newIdentitySpecifier)

  Specified by:
    `setIdentitySpecifier` in interface `Column`
  Parameters:
    `newIdentitySpecifier` - the new value of the 'Identity Specifier' containment reference.
  See Also:
    `Column.getIdentitySpecifier()`

### getGenerateExpression

    public ValueExpression getGenerateExpression()

  Specified by:
    `getGenerateExpression` in interface `Column`
  Returns:
    the value of the 'Generate Expression' containment reference.
  See Also:
    `Column.setGenerateExpression(ValueExpression)`, `SQLTablesPackage.getColumn_GenerateExpression()`

### basicSetGenerateExpression

    public NotificationChain basicSetGenerateExpression(ValueExpression newGenerateExpression,
                                                        NotificationChain msgs)

### setGenerateExpression

    public void setGenerateExpression(ValueExpression newGenerateExpression)

  Specified by:
    `setGenerateExpression` in interface `Column`
  Parameters:
    `newGenerateExpression` - the new value of the 'Generate Expression' containment reference.
  See Also:
    `Column.getGenerateExpression()`

### isImplementationDependent

    public boolean isImplementationDependent()

  Specified by:
    `isImplementationDependent` in interface `Column`
  Returns:
    the value of the 'Implementation Dependent' attribute.
  See Also:
    `Column.setImplementationDependent(boolean)`, `SQLTablesPackage.getColumn_ImplementationDependent()`

### setImplementationDependent

    public void setImplementationDependent(boolean newImplementationDependent)

  Specified by:
    `setImplementationDependent` in interface `Column`
  Parameters:
    `newImplementationDependent` - the new value of the 'Implementation Dependent' attribute.
  See Also:
    `Column.isImplementationDependent()`

### isNullable

    public boolean isNullable()

  Specified by:
    `isNullable` in interface `Column`
  Returns:
    the value of the 'Nullable' attribute.
  See Also:
    `Column.setNullable(boolean)`, `SQLTablesPackage.getColumn_Nullable()`

### setNullable

    public void setNullable(boolean newNullable)

  Specified by:
    `setNullable` in interface `Column`
  Parameters:
    `newNullable` - the new value of the 'Nullable' attribute.
  See Also:
    `Column.isNullable()`

### getDefaultValue

    public java.lang.String getDefaultValue()

  Specified by:
    `getDefaultValue` in interface `Column`
  Returns:
    the value of the 'Default Value' attribute.
  See Also:
    `Column.setDefaultValue(String)`, `SQLTablesPackage.getColumn_DefaultValue()`

### setDefaultValue

    public void setDefaultValue(java.lang.String newDefaultValue)

  Specified by:
    `setDefaultValue` in interface `Column`
  Parameters:
    `newDefaultValue` - the new value of the 'Default Value' attribute.
  See Also:
    `Column.getDefaultValue()`

### getScopeCheck

    public ReferentialActionType getScopeCheck()

  Specified by:
    `getScopeCheck` in interface `Column`
  Returns:
    the value of the 'Scope Check' attribute.
  See Also:
    `ReferentialActionType`, `Column.setScopeCheck(ReferentialActionType)`, `SQLTablesPackage.getColumn_ScopeCheck()`

### setScopeCheck

    public void setScopeCheck(ReferentialActionType newScopeCheck)

  Specified by:
    `setScopeCheck` in interface `Column`
  Parameters:
    `newScopeCheck` - the new value of the 'Scope Check' attribute.
  See Also:
    `ReferentialActionType`, `Column.getScopeCheck()`

### isScopeChecked

    public boolean isScopeChecked()

  Specified by:
    `isScopeChecked` in interface `Column`
  Returns:
    the value of the 'Scope Checked' attribute.
  See Also:
    `Column.setScopeChecked(boolean)`, `SQLTablesPackage.getColumn_ScopeChecked()`

### setScopeChecked

    public void setScopeChecked(boolean newScopeChecked)

  Specified by:
    `setScopeChecked` in interface `Column`
  Parameters:
    `newScopeChecked` - the new value of the 'Scope Checked' attribute.
  See Also:
    `Column.isScopeChecked()`

### isPartOfForeignKey

    public boolean isPartOfForeignKey()

  Specified by:
    `isPartOfForeignKey` in interface `Column`

### isPartOfUniqueConstraint

    public boolean isPartOfUniqueConstraint()

  Specified by:
    `isPartOfUniqueConstraint` in interface `Column`

### isPartOfPrimaryKey

    public boolean isPartOfPrimaryKey()

  Specified by:
    `isPartOfPrimaryKey` in interface `Column`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         java.lang.Class baseClass,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `TypedElementImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            java.lang.Class baseClass,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `TypedElementImpl`

### eBasicRemoveFromContainer

    public NotificationChain eBasicRemoveFromContainer(NotificationChain msgs)

### eGet

    public java.lang.Object eGet(EStructuralFeature eFeature,
                                 boolean resolve)

  Overrides:
    `eGet` in class `TypedElementImpl`

### eSet

    public void eSet(EStructuralFeature eFeature,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `TypedElementImpl`

### eUnset

    public void eUnset(EStructuralFeature eFeature)

  Overrides:
    `eUnset` in class `TypedElementImpl`

### eIsSet

    public boolean eIsSet(EStructuralFeature eFeature)

  Overrides:
    `eIsSet` in class `TypedElementImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SQLObjectImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.